Skip to main content
GET
/
emails
/
{id}
Get an email
curl --request GET \
  --url https://api.sendkit.dev/emails/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "from": "hello@example.com",
  "to": "user@example.com",
  "subject": "Welcome to our service",
  "last_event": "delivered",
  "domain": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "example.com"
  },
  "template": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "Welcome Email"
  },
  "tags": [
    {}
  ],
  "events": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "delivered",
      "metadata": {},
      "created_at": "2026-03-11 14:30:05"
    }
  ],
  "scheduled_at": "2026-03-15 10:00:00",
  "sent_at": "2026-03-11 14:30:00",
  "created_at": "2026-03-11 14:30:00"
}

Authorizations

Authorization
string
header
required

API key from your SendKit dashboard. Pass it as a Bearer token in the Authorization header.

Path Parameters

id
string<uuid>
required

The email ID.

Response

The email object

id
string<uuid>
Example:

"550e8400-e29b-41d4-a716-446655440000"

from
string
Example:

"hello@example.com"

to
string
Example:

"user@example.com"

subject
string
Example:

"Welcome to our service"

last_event
enum<string>
Available options:
sent,
delivered,
bounced,
complained,
opened,
clicked,
failed,
delivery_delayed,
rejected,
suppressed,
cancelled
Example:

"delivered"

domain
object
template
object
tags
object[]
events
object[]
scheduled_at
string<date-time> | null
Example:

"2026-03-15 10:00:00"

sent_at
string<date-time> | null
Example:

"2026-03-11 14:30:00"

created_at
string<date-time>
Example:

"2026-03-11 14:30:00"